package com.example.switchyard.bpm;

import org.switchyard.component.bean.Service;

@Service(AcknowledgeRequest.class)
public class AcknowledgeRequestBean implements AcknowledgeRequest {

	@Override
	public RequestAck acknowledge(Request request) {
		System.out.println("********* Acknowledge, contentInput: " + request + " name: "
				+ request.getName() + ", type: " + request.getRequestType() + ", hash: "
				+ System.identityHashCode(request));
		RequestAck ack = new RequestAck();
		ack.setAccepted(true);
		ack.setMessage("Request was accepted");
		return ack;
	}
}
